---
search:
  tags:
    - Emails
    - GET
seo:
  description: >-
    The check results and score for one email. Answers 404 when the email has
    no… Reference for the GET /emails/{id}/insights endpoint in the BillionSend
    API.
sidebar:
  label: Get email insights
  badge: GET
title: Get email insights
type: openapi-operation
---
The check results and score for one email. Answers 404 when the email has no insights. BillionSend extension.

`GET /emails/{id}/insights`

**Responses**

- `200` — Best-practice check results and score computed when the email was sent
- `401` — Missing, malformed, unknown or revoked API key
- `403` — Restricted API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "email_insights",
  "email_id": "8e6bf5ae-e456-4654-87f8-33e2156caffc",
  "score": 0,
  "score_version": 0,
  "band": "excellent",
  "marketing": true,
  "html_size_bytes": 0,
  "computed_at": "string",
  "checks": [
    {
      "id": "string",
      "severity": "critical",
      "status": "pass",
      "penalty": 0,
      "detail": {
        "property1": null,
        "property2": null
      }
    }
  ]
}
```
